#pragma once
#include "star_system.h"
#include "fixed.h"

struct CustomSBody {
  const char* name;     /* Null to end system. */
  StarSystem::BodyType type;
  int primaryIdx;       /* -1 for primary. */
  fixed radius;         /* In earth radii for planets, sol radii for stars. */
  fixed mass;           /* Earth masses or sol masses. */
  int averageTemp;      /* Kelvin. */
  fixed semiMajorAxis;  /* In AUs. */
  fixed eccentricity;
  float inclination;    /* Radians. */
};

struct CustomSystem {
  const char* name;
  const CustomSBody* sbodies; /* 0 to let system be random. */
  StarSystem::BodyType primaryType;
  int sectorX, sectorY;
  vector3f pos;
};

extern const CustomSystem custom_systems[];

